Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FilterMuterator Class Reference

`#include <coherence/util/FilterMuterator.hpp>`

Inherits Object, and Muterator.

List of all members.

## Detailed Description

Provides a generic implementation of an iterator which can iterate items based on an inclusion test.

nsa 2008.06.23

## Public Types
typedef spec::Handle | Handle
| FilterMuterator Handle definition.
typedef spec::View | View
| FilterMuterator View definition.
typedef spec::Holder | Holder
| FilterMuterator Holder definition.
## Public Member Functions
virtual bool | hasNext () const
| Determine if the iteration has another element.
virtual Object::Holder | next ()
| Return the next element in the iterated series.
virtual void | remove ()
| Remove from the collection associated with this iterator, the last element retruned from the iterator.
## Protected Member Functions
| FilterMuterator (Iterator::Handle hIter, Filter::View vTest)
| Construct a hash map using the specified settings.
## Protected Attributes
FinalHandle< Iterator > | m_hIter
| Objects to filter.
FinalView< Filter > | m_vTest
| Test to perform on each item.
bool | m_fNext
| Is there a next item which passed the test?
bool | m_fPrev
| Is there a previous item which passed the test and can be removed?
MemberHolder< Object > | m_ohNext
| The next item which passed the test.

## Constructor & Destructor Documentation

FilterMuterator | ( | Iterator::Handle | hIter,
|  | Filter::View | vTest |
| ) |  |  | `[protected]`

Construct a hash map using the specified settings.

Parameters:

  | hMuterator | the muterator to a list that should be filtered
  | vTest | the test used to filter results

## Member Function Documentation

virtual bool hasNext | ( |  | ) | const `[virtual]`

Determine if the iteration has another element.

Returns:
  true if the iterator has another element

Implements Iterator.

virtual Object::Holder next | ( |  | ) | `[virtual]`

Return the next element in the iterated series.

Returns:
  the next element in the iterated series

Exceptions:

  | coherence::lang::NoSuchElementException | if iteration has no more elements

Implements Iterator.

virtual void remove | ( |  | ) | `[virtual]`

Remove from the collection associated with this iterator, the last element retruned from the iterator.

Exceptions:

  | UnsupportedOperationException | if removal is not supported

Implements Muterator.

The documentation for this class was generated from the following file:

- coherence/util/FilterMuterator.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.